Informațiile contului
GET /accounts/{accountId}
Parametri
| Nume | În | Tip | Descriere |
|---|---|---|---|
accountId
obligatoriu
|
path | string (uuid) | UUID-ul contului |
Cerere
curl -X GET 'https://rest.calisero.ro/api/v1/accounts/{accountId}' \
-H 'Authorization: Bearer {token}' \
-H 'Accept: application/json'
Răspunsuri
Detaliile contului
{
"data": {
"id": "9d0e0bd3-c805-4dd0-bafb-07c5ded0a8e1",
"code": "ABC1234",
"name": "My Company",
"description": "Company description",
"fiscal_code": "RO12345678",
"registry_number": "J40/123456/2023",
"iban": "RO49AAAA1B31007593840000",
"city": "Bucharest",
"state": "Bucharest",
"country": "RO",
"address": "Main Street 123",
"postal_code": 123456,
"email": "[email protected]",
"phone": "+40721***456",
"contact_person": "John Doe",
"credit": 100.5,
"status": "active",
"sandbox": false,
"daily_limit": 1000,
"daily_remaining": 873,
"sent_today": 127,
"created_at": "2024-09-20T12:48:55.000000Z"
}
}
Neautorizat - token Bearer invalid sau lipsă
{
"message": "Unauthenticated."
}
Interzis - permisiuni insuficiente
{
"message": "You don039;t have permission to access this resource."
}
Resursa nu a fost găsită
{
"message": "Resource not found!"
}
Eroare internă de server
{
"message": "Internal server error!"
}